Subject: Re: where to buy Csatr ...

From: Tianwei Xie <[email-masked]>
Date: Mon, 24 Jan 1994 15:25:48 -0800

If you are talking about Dorak's ChinaStar, their address and phone are:
DORAK International, Inc., 1710 S. DelMar Ave. Ste. 212, San Gabriel, CA
91776, U.S.A. Phone:818-288-9171, fax: 288-6205.
Tianwei Xie
UVD

On Mon, 24 Jan 1994, Mouse T wrote:

> Hi dear CCNETters:
>
> Last time I uploaded ChClnd and then I received some emails asking
> where to buy CStar in USA and Europe. This time after I uploaded
> WinHZ I received sevaral this kind of emails too. Because I really
> don't know where to buy the CStar outside China, I would be grateful
> if some one can provide the purchase information of CStar 1.2, in USA,
> Europe,....
> You are wellcome to email me.
> Regards,
> Tian Bogang
>